general_settings:
  master_key: os.environ/LITELLM_MASTER_KEY
  key_management_system: "custom"
  key_management_settings:
    custom_secret_manager: my_secret_manager.InMemorySecretManager
    store_virtual_keys: true
    prefix_for_stored_virtual_keys: "litellm/"
    access_mode: "read_and_write"

model_list:
  - model_name: gpt-4
    litellm_params:
      model: openai/gpt-4
      api_key: os.environ/OPENAI_API_KEY  # Read from custom secret manager
  
  - model_name: claude-3-5-sonnet
    litellm_params:
      model: anthropic/claude-3-5-sonnet-20241022
      api_key: os.environ/ANTHROPIC_API_KEY  # Read from custom secret manager

